.SUFFIXES: .o .C .c  .cpp

include mkfiles


##################################################################

include ../../sys/config/mkflags

##################################################################

CPPOBJECTS =$(CPPOBJS:%= $(OBJDIR2)/%)
CCOBJECTS =$(CCOBJS:%= $(OBJDIR2)/%)
CPPOBJECTS2 =$(CPPOBJS:%= $(OBJDIR2)/%)
CCOBJECTS2 =$(CCOBJS:%= $(OBJDIR2)/%)

#.c.o:
#	$(CC1) $(C++FLAGS) -c $(*F).c  -o $(OBJDIR)/$*.o
#
#.C.o:
#	$(CC) $(C++FLAGS) -c $(*F).C   -o $(OBJDIR)/$*.o
#
#.cpp.o:
#	$(CC) $(C++FLAGS) -c $(*F).cpp -o $(OBJDIR)/$*.o
#

LIBDLLBASE  = $(LIBNAME)
#LIBDLL  = $(LIBNAME).$(VERSION).d
#LIBDLL2 = $(LIBNAME).$(VERSION)
LIBDLL  = png.bundle
LIBDLL2 = png.bundle

#all: $(LIBDIR)/$(LIBDLL) $(LIBDIR)/$(LIBDLL2)
all: $(LIBDIR)/$(LIBDLL2)
runtime: $(LIBDIR)/$(LIBDLL2)
debug: $(LIBDIR)/$(LIBDLL2)
static: $(LIBDIR)/$(LIBDLL2)
static-debug: $(LIBDIR)/$(LIBDLL2)

$(LIBDIR)/$(LIBDLL): $(CPPOBJECTS) $(CCOBJECTS)
	$(CC) -bundle -undefined suppress -flat_namespace -o $(LIBDLL) runtime/png.o $(LIBPNG)
	cp $(LIBDLL) ../../lib
	cp $(LIBDLL) /usr/lib

$(LIBDIR)/$(LIBDLL2): $(CPPOBJECTS2) $(CCOBJECTS2)
	$(CC) -bundle -undefined suppress -flat_namespace -o $(LIBDLL) runtime/png.o $(LIBPNG)
	cp $(LIBDLL) ../../lib
	cp $(LIBDLL) /usr/lib

$(OBJDIR)/%.o:%.cpp
	$(CC) $(C++FLAGS) -c $(*F).cpp -o $(OBJDIR)/$*.o $(INCPNG)
$(OBJDIR)/%.o:%.c
	$(CC1) $(C++FLAGS) -c $(*F).c   -o $(OBJDIR)/$*.o $(INCPNG)
$(OBJDIR2)/%.o:%.cpp
	$(CC) $(C++FLAGS2) -c $(*F).cpp -o $(OBJDIR2)/$*.o $(INCPNG)
$(OBJDIR2)/%.o:%.c
	$(CC1) $(C++FLAGS2) -c $(*F).c   -o $(OBJDIR2)/$*.o $(INCPNG)

#$(CPPOBJECTS):
#	$(CC) $(C++FLAGS) -c $(*F).cpp -o $*.o
#
#$(CCOBJECTS):
#	$(CC) $(C++FLAGS) -c $(*F).c -o $*.o


clean:
	\rm -f $(CPPOBJECTS) $(CCOBJECTS) $(CPPOBJECTS2) $(CCOBJECTS2) *.bak
	\rm -f $(LIBDLL)  $(LIBDLL2)
	\rm -f ../../lib/$(LIBDLL)  ../../lib/$(LIBDLL2)


